org.apache.ignite.binary

## Class BinaryBasicIdMapper

- java.lang.Object
- - org.apache.ignite.binary.BinaryBasicIdMapper

- All Implemented Interfaces:
    BinaryIdMapper

      public class BinaryBasicIdMapper
      extends Object
      implements BinaryIdMapper

  Base binary ID mapper implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DFLT_LOWER_CASE` Default lower case flag setting.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryBasicIdMapper()` Default constructor.
    `BinaryBasicIdMapper(boolean isLowerCase)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `fieldId(int typeId, String fieldName)` Get field ID.
    `int` | `hashCode()`
    `boolean` | `isLowerCase()` Gets whether to use strings in lower case or not.
    `BinaryBasicIdMapper` | `setLowerCase(boolean isLowerCase)` Sets whether to use strings in lower case or not.
    `String` | `toString()`
    `int` | `typeId(String typeName)` Get type ID.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DFLT_LOWER_CASE

          public static final boolean DFLT_LOWER_CASE

      Default lower case flag setting.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BinaryBasicIdMapper

          public BinaryBasicIdMapper()

      Default constructor.

    - #### BinaryBasicIdMapper

          public BinaryBasicIdMapper(boolean isLowerCase)

      Parameters:
        `isLowerCase` - Whether to use strings in lower case or not.

        Defaults to `DFLT_LOWER_CASE`.

  - ### Method Detail

    - #### typeId

          public int typeId(String typeName)

      Get type ID.
      Specified by:
        `typeId` in interface `BinaryIdMapper`
      Parameters:
        `typeName` - Type name.
      Returns:
        Type ID.
      See Also:
        `BinaryNameMapper.typeName(String)`

    - #### fieldId

          public int fieldId(int typeId,
                             String fieldName)

      Get field ID.
      Specified by:
        `fieldId` in interface `BinaryIdMapper`
      Parameters:
        `typeId` - Type ID.
        `fieldName` - Field name.
      Returns:
        Field ID.
      See Also:
        `BinaryNameMapper.fieldName(String)`

    - #### isLowerCase

          public boolean isLowerCase()

      Gets whether to use strings in lower case or not.
      Returns:
        Whether to use strings in lower case or not.

    - #### setLowerCase

          public BinaryBasicIdMapper setLowerCase(boolean isLowerCase)

      Sets whether to use strings in lower case or not.
      Parameters:
        `isLowerCase` - Whether to use strings in lower case or not.
      Returns:
        `this` for chaining.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023